package es.uv.saic.domain;

import java.io.Serializable;

public class EvidenciaIndicadorEnquestaPK  implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private String proces;
	private String evidencia;
	private String enquesta;
	private String indicador;
	
	public EvidenciaIndicadorEnquestaPK() {}

	public String getProces() {
		return proces;
	}

	public void setProces(String proces) {
		this.proces = proces;
	}

	public String getEvidencia() {
		return evidencia;
	}

	public void setEvidencia(String evidencia) {
		this.evidencia = evidencia;
	}

	public String getEnquesta() {
		return enquesta;
	}

	public void setEnquesta(String enquesta) {
		this.enquesta = enquesta;
	}

	public String getIndicador() {
		return indicador;
	}

	public void setIndicador(String indicador) {
		this.indicador = indicador;
	}
	
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	
	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof EvidenciaIndicadorEnquestaPK)) {
			return false;
		}
		EvidenciaIndicadorEnquestaPK castOther = (EvidenciaIndicadorEnquestaPK)other;
		return 
			this.proces.equals(castOther.proces)
			&& this.evidencia.equals(castOther.evidencia)
			&& this.enquesta.equals(castOther.enquesta)
			&& this.indicador.equals(castOther.indicador);
	}

	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + this.proces.hashCode();
		hash = hash * prime + this.evidencia.hashCode();
		hash = hash * prime + this.enquesta.hashCode();
		hash = hash * prime + this.indicador.hashCode();
		
		return hash;
	}
	
}
